[Contents] [Prev] [Next] [Index] [Report an Error]

# Configuring BSR and RP Candidates for PIM Sparse Mode

When choosing candidate BSRs, select well-connected routers in the core of the network. Typically, candidate BSRs are a subset of the candidate RPs. A single BSR is elected for the domain of candidate BSRs. The elected BSR floods bootstrap messages (BSMs) containing their group-to-RP mappings to all PIM routers. PIM routers use the group-to-RP mappings supplied by the elected (or preferred) BSR.

ip pim bsr-candidate

- Use to define a router as a BSR candidate.
- To assign an interface from which the router sends messages, specify an interface type and specifier, such as atm 3/0. For details about interface types and specifiers, see Interface Types and Specifiers in JUNOSe Command Reference Guide.
- Specify a length (up to 32 bits) for the hash mask length field sent in BSMs that the router originates. This mask is combined with the group address before the router calls the hash function. For example, specifying a value of 24 limits the group address to the first 24 bits. The default hash mask length is 30 bits.
- Use the priority keyword to specify a value for the BSR-priority field of BSMs that the router originates. In the BSR election process, the BSR with the higher priority is preferred. If the priority values are equal, the router with the higher IP address becomes the BSR. The default value is 0 (address comparison only).
- Use the period keyword to specify the interval, in the range 1–65535 seconds, at which the BSR sends bootstrap messages. The default value is 60 seconds.
- Example
  `
  host1(config)#ip pim bsr-candidate loopback 1 30 10
  `
- Use the no version to stop the router from acting as a BSR candidate.
- See ip pim bsr-candidate.

ip pim rp-candidate

- Use to define a router as an RP candidate.
- To assign an interface from which the router sends messages, specify an interface type and specifier, such as atm 3/0. For details about interface types and specifiers, see Interface Types and Specifiers in JUNOSe Command Reference Guide.
- Use the group-list keyword to specify an access-list that contains the set of group prefixes supported by this candidate RP (C-RP). If you do not specify a group-list, the default is the entire multicast address range.

  | Note: Because BSR has no mechanism for distributing negative entries, you should not configure negative access-list entries (also called deny access-list entries).

- Use the hold-time keyword to specify the amount of time the BSR keeps an RP in its C-RP list if the BSR does not receive a C-RP advertisement message. The default value is 150 seconds.
- Use the priority keyword to specify a priority field value that the C-RP sends to the BSR in C-RP advertisement messages. In the RP election process, the RP with the lower priority value is preferred. The default value is 192.
- Use the interval keyword to specify an interval, in the range 1–65535 seconds, at which the C-RP sends advertisement messages to the BSR. The default value is 60 seconds.
- Example
  `
  host1(config)#access-list 1 permit 227.0.0.0 15.255.255.255
  host1(config)#access-list 1 permit 228.0.0.0 15.255.255.255
  host1(config)#ip pim rp-candidate loopback 1 group-list 1
  `
- Use the no version to stop the router from acting as an RP candidate
- See ip pim rp-candidate.

[Contents] [Prev] [Next] [Index] [Report an Error]